Skip to content

List products in the selected organization

GET
/v1/organizations/{organizationId}/products

API key scope: products:read.

X-Request-Id
string

Optional client request id returned in structured errors.

sku
string
Example
TSHIRT-BLACK-M
status
string
Allowed values: active archived
search
string
Example
t-shirt
limit
number
default: 25 >= 1 <= 100
cursor
string

Product id cursor returned by the previous page.

Products page.

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
name
required
string
sku
required
string
barcode
object
baseUnitCode
required
string
status
required
string
Allowed values: active archived
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
nextCursor
object
Example
{
"items": [
{
"id": "22222222-2222-4222-8222-222222222222",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"name": "Black T-Shirt - Medium",
"sku": "TSHIRT-BLACK-M",
"barcode": "7891234567890",
"baseUnitCode": "EA",
"status": "active",
"metadata": {
"color": "black",
"size": "M"
},
"createdAt": "2026-06-29T10:00:00.000Z",
"updatedAt": "2026-06-29T10:00:00.000Z"
}
],
"nextCursor": null
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}